package interfaz.acciones;


import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.AbstractAction;

public class AccionAbrirSesion extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;

	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( MNEMONIC_KEY , idiomas
				.getObject( "mne_abrirSesion" ) );
		putValue( ACCELERATOR_KEY , idiomas
				.getObject( "key_abrirSesion" ) );
		putValue( SHORT_DESCRIPTION , idiomas
				.getString( "tip_abrirSesion" ) );
		putValue( NAME, idiomas.getString( "eti_abrirSesion" ) );
	}

	InterfazAbrirSesion i;


	public AccionAbrirSesion ( InterfazAbrirSesion i ) {
		this.i = i;
	}

	public void actionPerformed ( ActionEvent event ) {
		i.abrirSesion( );
	}
}