package interfaz.acciones;


import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.AbstractAction;

public class AccionEditarComandoCompilacion extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;

	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos.getObject( "img_editarCmdC" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_editarCmdC" ) );
		putValue( ACCELERATOR_KEY , idiomas.getObject( "key_editarCmdC" ) );
		putValue( SHORT_DESCRIPTION , idiomas.getString( "tip_editarCmdC" ) );
		putValue( NAME, idiomas.getString( "eti_editarCmdC" ) );
	}

	InterfazEditarComandoCompilacion i;


	public AccionEditarComandoCompilacion ( InterfazEditarComandoCompilacion i ) {
		this.i = i;
	}

	public void actionPerformed ( ActionEvent event ) {
		i.editarComandoCompilacion( );
	}
}