package interfaz.acciones;

import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.AbstractAction;

public class AccionPasarAXML extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;

	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos.getObject( "img_pasarAXML" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_pasarAXML" ) );
		putValue( ACCELERATOR_KEY , idiomas.getObject( "key_pasarAXML" ) );
		putValue( SHORT_DESCRIPTION , idiomas.getString( "tip_pasarAXML" ) );
		putValue( NAME, idiomas.getString( "eti_pasarAXML" ) );
	}

	InterfazPasarAXML i;


	public AccionPasarAXML ( InterfazPasarAXML i ) {
		this.i = i;
	}

	public void actionPerformed ( ActionEvent event ) {
		i.pasarAXML( );
	}
}