package interfaz.acciones;


import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.AbstractAction;

public class AccionVerPerfilPlano extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;

	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos
				.getObject( "img_PerfilPlano" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_PerfilPlano" ) );
		putValue( ACCELERATOR_KEY , idiomas
				.getObject( "key_PerfilPlano" ) );
		putValue( SHORT_DESCRIPTION , idiomas
				.getString( "tip_PerfilPlano" ) );
		putValue( NAME, idiomas.getString( "eti_PerfilPlano" ) );
	}

	InterfazVerPerfilPlano i;


	public AccionVerPerfilPlano ( InterfazVerPerfilPlano i ) {
		this.i = i;
	}

	public void actionPerformed ( ActionEvent event ) {
		i.verPerfilPlano( );
	}
}