/**
 * 
 */
package interfaz.dialogos.dialogoAbrir;


import java.io.File;

import java.util.ResourceBundle;

import javax.swing.filechooser.FileFilter;

import negocio.PreferenciasSingleton;

import modelo.ficheros.UtilidadesExtensionFichero;

/**
 * @author angel2
 *
 */
public class PascalFilter  extends FileFilter {
	ResourceBundle propiedades = ResourceBundle.getBundle("interfaz.idiomas.Recursos", 
			PreferenciasSingleton.getPreferenciasSingleton( ).getPreferencias( ).getLocale( ) );


	//Accept all directories and all gif, jpg, tiff, or png files.
	public boolean accept(File f) {
		boolean resultado = false;
		if (f.isDirectory())
			resultado = true;
		else if (UtilidadesExtensionFichero.isPascal(f))
			resultado = true;
		else
			resultado = false;

		return resultado;
	}

	//The description of this filter
	public String getDescription() {
		return propiedades.getString("des_Pascal");
	}

}
