package interfaz.dialogos.dialogoNuevoArgumento;

import java.awt.Component;
import java.util.ResourceBundle;

import javax.swing.JDialog;
import javax.swing.JOptionPane;


public class DialogoNuevoArgumento  extends JDialog {
	/** serial Version UID */
	private static final long	serialVersionUID	= -2201823396167528830L;
	/**
	 * recursos para dar soporte sobre idiomas
	 */
	ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/**
	 * recursos de iconos etc...
	 */
	ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	public static int OK_OPTION = JOptionPane.OK_OPTION;
	public static int CANCEL_OPTION = JOptionPane.CANCEL_OPTION;

	private String	strArgumento = "";
	
	private String		titulo;
	
	public DialogoNuevoArgumento (  ) {

		super();
		
		this.titulo = ( idiomas.getString( "eti_titulo_dialogo_nuevoArgumento" ) );
		
		this.setResizable( true );

		setDefaultCloseOperation( HIDE_ON_CLOSE );
		
	}


	public int showDialog ( Component parent ) {

		String strNuevoArgumento = idiomas.getString( "eti_nuevoArgumento" );

		/** Create the JOptionPane. */
		Object obj = JOptionPane.showInputDialog( parent , strNuevoArgumento, titulo,
				JOptionPane.QUESTION_MESSAGE );
		
		int result = CANCEL_OPTION;
		if ( obj != null) {
			strArgumento = obj.toString();
			result = OK_OPTION;
		}
		
		return result;
		
	}
	
	public String getArgumento ( ) {
		return strArgumento;
	}

}
