package interfaz.vestadisticas.salidagprof;


import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import modelo.modeloXML.InterfazModeloXML;
import modelo.modeloXML.ModeloXML;
import modelo.vestadisticas.ModeloEstadistica;
import net.miginfocom.swing.MigLayout;

public class JPanelSalidaGprof extends JPanel implements InterfazModeloXML {
	/** serial version uid. */
	private static final long serialVersionUID = 8407675109404548702L;

	public JPanelSalidaGprof () {
		super ( new MigLayout( "fill" ) );
		addComponentes();
	}
	
	public JPanelSalidaGprof ( ModeloEstadistica x ) {
		super ( new MigLayout( "fill" ) );
		addComponentes();
		setDatosXML( x );
	}
	
	/************propiedades***********/
	ModeloXML moXML;
	
	private JTextArea atxTexto = new JTextArea();
	{
		atxTexto.setEditable(false);
		atxTexto.setWrapStyleWord(true);
	}
	
	/************metodos***********/
	@Override
	public void setDatosXML( ModeloEstadistica me ) {
		moXML = me.getModeloXML( );
		if ( moXML != null) {
			String texto = moXML.getSalidaGprof( );
			setTexto( texto );
		}
		
	}
	
	public void setTexto ( String text ) {
		atxTexto.setText( text );
	}

	protected void addComponentes () {
	//El scroll del atxTexto
	JScrollPane areaScrollPane = new JScrollPane(atxTexto);
	areaScrollPane.setVerticalScrollBarPolicy(
			JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);


	//auto-añadir el area de texto con scroll al panel
	add(areaScrollPane,"grow");
	}

}
