package modelo.modeloXML;

import java.util.HashMap;
import java.util.Vector;

public class FicheroAnotado {

	/**
	 * Nombre del fichero fuente anotado que representa.
	 */
	String nombreFichero = null;
	
	/**
	 * Todas las línas del fichero anotadas
	 */
	HashMap < Integer, LineaAnotada > lineasAnotadas = new HashMap < Integer, LineaAnotada > (0);
	
	Vector < LineaAnotada > top = new Vector < LineaAnotada > ();

	Integer totalLineasEjecutadas = null;
	Integer totalLineasEjecutables = null;
	Integer totalEjecuciones = null;
	
	public String getNombreFichero() {
		return nombreFichero;
	}
	
	public HashMap < Integer, LineaAnotada > getLineasAnotadas() {
		return lineasAnotadas;
	}
	
	public Integer getSize () {
		return lineasAnotadas.size();
	}
	
	public Vector < LineaAnotada > getTopLineas () {
		return top;
	}
	
	public Integer getTotalLineasEjecutables () {
		return totalLineasEjecutables;
	}
	
	public Integer getTotalLineasEjecutadas () {
		return totalLineasEjecutadas;
	}
	
	public Integer getTotalEjecuciones () {
		return totalEjecuciones;
	}
	
	public void setNombreFichero ( String nombre ) {
		this.nombreFichero = nombre;
	}
	
	public void setLineasAnotada ( HashMap < Integer, LineaAnotada > lineas ) {
		this.lineasAnotadas = lineas;
	}
	
	public void addLineaAnotada ( LineaAnotada linea ) {
		this.lineasAnotadas.put( linea.getNumeroLinea(), linea );
	}
	
	public void setTopLineas ( Vector < LineaAnotada > lineas ) {
		this.top = lineas;
	}
	
	public void addTopLinea ( LineaAnotada linea ) {
		this.top.add( linea );
	}

	public void setTotalLineasEjecutadas(Integer totalLineasEjecutadas) {
		this.totalLineasEjecutadas = totalLineasEjecutadas;
	}

	public void setTotalLineasEjecutables(Integer totalLineasEjecutables) {
		this.totalLineasEjecutables = totalLineasEjecutables;
	}

	public void setTotalEjecuciones(Integer totalEjecuciones) {
		this.totalEjecuciones = totalEjecuciones;
	}
	
}
