package interfaz.acciones;

import java.awt.event.ActionEvent;
import java.util.ResourceBundle;

import javax.swing.AbstractAction;

public class AccionGprof extends AbstractAction {

	/** Serial Version UID */ 
	private final static long	serialVersionUID	= 2L;

	/** recursos para dar soporte sobre idiomas	 */
	static ResourceBundle					idiomas				= ResourceBundle
																.getBundle( "interfaz.idiomas.Recursos" );
	/** recursos de iconos etc...	 */
	static ResourceBundle					recursos			= ResourceBundle
																.getBundle( "interfaz.Recursos" );

	{
		putValue( LARGE_ICON_KEY , recursos.getObject( "img_gprof" ) );
		putValue( MNEMONIC_KEY , idiomas.getObject( "mne_gprof" ) );
		putValue( ACCELERATOR_KEY , idiomas.getObject( "key_gprof" ) );
		putValue( SHORT_DESCRIPTION , idiomas
				.getString( "tip_gprof" ) );
		putValue( NAME, idiomas.getString( "eti_gprof" ) );
	}

	InterfazGprof i;


	public AccionGprof ( InterfazGprof i ) {
		this.i = i;
	}

	public void actionPerformed ( ActionEvent event ) {
		i.gprof( );
	}
}