/**
 * 
 */
package interfaz.dialogos.dialogoAbrir;


import java.io.File;
import java.util.ResourceBundle;

import javax.swing.filechooser.FileFilter;

import negocio.PreferenciasSingleton;

import modelo.ficheros.UtilidadesExtensionFichero;


/**
 * @author angel2
 *
 */
public class FortranFilter extends FileFilter {

	ResourceBundle propiedades = ResourceBundle.getBundle("interfaz.idiomas.Recursos", 
			PreferenciasSingleton.getPreferenciasSingleton( ).getPreferencias( ).getLocale( ) );


	//Acepta todos los directorios y los ficheros fuente de fortran
	public boolean accept(File f) {
		boolean resultado = false;
		if (f.isDirectory())
			resultado = true;
		else if ( UtilidadesExtensionFichero.isFortran(f) )
			resultado = true;
		else
			resultado = false;

		return resultado;
	}

	//Descripción del filtro
	public String getDescription() {
		return propiedades.getString("des_Fortran");
	}

}
