package interfaz.dialogos.dialogoAbrir;


import java.io.File;

import java.util.ResourceBundle;

import javax.swing.filechooser.FileFilter;

import negocio.PreferenciasSingleton;

import modelo.ficheros.UtilidadesExtensionFichero;

public class gprofFilter extends FileFilter {
	ResourceBundle propiedades = ResourceBundle.getBundle("interfaz.idiomas.Recursos", 
			PreferenciasSingleton.getPreferenciasSingleton( ).getPreferencias( ).getLocale( ) );


	/**Archivos que acepta para filtrar. */
	public boolean accept(File f) {
		boolean resultado = false;
		if (f.isDirectory())
			resultado = true;
		else if (UtilidadesExtensionFichero.isGprof(f))
			resultado = true;
		else
			resultado = false;

		return resultado;
	}

	/** Descripción de este filtro. */
	public String getDescription() {
		return propiedades.getString("des_gprof");
	}

}
