package interfaz.vestadisticas.mostrarxml;


import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import modelo.modeloXML.InterfazModeloXML;
import modelo.modeloXML.ModeloXML;
import modelo.vestadisticas.ModeloEstadistica;
import net.miginfocom.swing.MigLayout;

public class JPanelXML extends JPanel implements InterfazModeloXML {

	/** serial Version UID*/
	private static final long serialVersionUID = 2178963035772937565L;

	public JPanelXML () {
		super ( new MigLayout( "fill" ) );
		addComponentes();
	}
	
	public JPanelXML ( ModeloEstadistica x ) {
		super ( new MigLayout( "fill" ) );
		addComponentes();
		setDatosXML( x );
	}
	
	/************propiedades***********/
	ModeloXML moXML;
	
	private JTextArea atxTexto = new JTextArea();
	{
		atxTexto.setEditable(false);
		atxTexto.setWrapStyleWord(true);
	}
	
	/************metodos***********/
	@Override
	public void setDatosXML( ModeloEstadistica x ) {

		moXML = x.getModeloXML( );
		if( moXML != null ){
			setTexto( moXML.getContenidoFicheroXML() );
		}
		
	}
	
	public void setTexto ( String text ) {
		atxTexto.setText( text );
	}

	protected void addComponentes () {
	//El scroll del atxTexto
	JScrollPane areaScrollPane = new JScrollPane(atxTexto);
	areaScrollPane.setVerticalScrollBarPolicy(
			JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);


	//auto-añadir el area de texto con scroll al panel
	add(areaScrollPane,"grow");
	}


}
