package modelo.ficheros;

public enum TipoFichero {
	
	C		( "C" ),
	CPP		( "C++" ),
	PASCAL	( "Pascal" ),
	FORTRAN ( "Fortran" ),
	DATAFILE ( "gprof data file" ),
	GPROF	( "gprof output text" ),
	GPROFXML	( "gprof XML translation"),
	SESION 	( "Session" ),
	DESCONOCIDO	( "Unknown type");										// idiomas.getString("tipo_desconocido");
																							// "Unknown type"
																						// "Tipo desconocido"

	public String descripcion = null;
	
	TipoFichero ( String s ) {
		descripcion = s;
	}
	
	
	public String toString() {
		return descripcion;	
	}
	
	public static TipoFichero getTipoFichero( String descripcion ) {
		TipoFichero resultado = DESCONOCIDO;
		if ( descripcion.compareTo( C.toString( ) ) == 0 )
			resultado = C;
		else if (descripcion.compareTo( CPP.toString( ) ) == 0 )
			resultado = CPP;
		else if (descripcion.compareTo( PASCAL.toString( ) ) == 0 )
			resultado = PASCAL;
		else if (descripcion.compareTo( FORTRAN.toString( ) ) == 0 )
			resultado = FORTRAN;
		else if (descripcion.compareTo( GPROF.toString( ) ) == 0 )
			resultado = GPROF;
		else if (descripcion.compareTo( GPROFXML.toString( ) ) == 0 )
			resultado = GPROFXML;
		return resultado;
	}
}
